Bug 53939 - Installer Crashes when trie to install default Workstation or default Server
Installer Crashes when trie to install default Workstation or default Server
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-23 05:33 EDT by Konny Metz
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 16:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konny Metz 2001-09-23 05:33:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install From CD. Select Default Installation For Server Or Workstation
2.
3.
	

Additional info:

Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1965, in 
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1659, in 
writeConfiguration
    self.writeRootPassword ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 904, in 
writeRootPassword
    self.setPassword("root", pure)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1481, in 
setPassword
    stdout = '/dev/null', stderr = None)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iutil.py", line 48, in 
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/usermod can not be run

Local variables in innermost frame:
argv: ['/usr/sbin/usermod', '-p', '$1
$8g4BTsXd$IXkRyqU6FvzMa2seHo0fU0', 'root']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 25
stderr: 26
command: /usr/sbin/usermod
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'800x600'
p4
sS'progressWindow'
p5
(igui
ProgressWindow
(dp6
S'total'
p7
I493
sS'window'
p8
(igtk
GtkWindow
(dp9
S'_o'
p10

<failed>
Comment 1 Konny Metz 2001-09-23 05:35:22 EDT
GFX: Diamond Riva TNT2
Sound: Onboard Crystal Sound Chip (SB16)
HDD: 13 GB IDE
CD: Creative DVD Dxr2
Network: 3Com 905
Comment 2 Brent Fox 2001-09-24 12:25:28 EDT
Try booting with 'linux ide=nodma'.  Does that help?
Comment 3 Konny Metz 2001-09-24 16:14:22 EDT
When I boot the computer after Installation the Lilo is not installed and the 
Hardisc says that no OS is available.

Comment 4 Brent Fox 2001-09-24 16:16:53 EDT
No, I meant try booting the installer with 'linux ide=nodma'.  Then do the
install and see if things work after that.  

If the installer happens to crash the same way, press <Ctrl><Alt><F4> and see if
there are any error messages related to the cdrom.
Comment 5 Konny Metz 2001-09-24 18:14:02 EDT
I Booted Up CD1 and entered "linux ide=nodema"

The installation went as far as before. The same Error.
used <CTRL>+<ALT+DEL> and reboot the computer.
With CD2 in the drive
Booted up and Bootup Failed and no Os available.

Do you think it could be something wrong with my CD2??
Comment 6 Brent Fox 2001-09-25 13:59:33 EDT
It is possible that something is wrong with your cd #2.  When the installer
crashes, press <Ctrl><Alt><F4> and see if there are any error messages related
to the cdrom.  

If there's something wrong with the cd itself, you will most likely see some
read or seek errors on VC4.  Pressing <Ctrl><Alt><F4> brings up VC4, so if the
error messages are there, you'll see them.

Comment 7 Konny Metz 2001-09-25 14:52:15 EDT
All I could find where this
<4> Unable to identify CD-Rom
(could be when I change from CD1-CD2
Like 15 rows or more
<7> ClockTimer configuration lost probably a VIA686a motherboard
(I Use a Intel 440ZX chipset)
Comment 8 Brent Fox 2001-09-25 15:47:30 EDT
Yes, it could be a bad cd #2.  Where did you get it from?
Comment 9 Konny Metz 2001-09-25 17:21:08 EDT
I got the CD from Sunet.se but I used "GetRight" application to download it 
with so that could have coused the problem with the ISO. I downloaded it in a 
Multisession download.

I will Start downloading it right from the Redhat FTP and try install it again 
tomorrow.
Comment 10 Konny Metz 2001-09-26 13:01:21 EDT
I still have the same problem after downloading the CD from Redhats ftp server
Comment 11 Brent Fox 2001-09-26 17:45:46 EDT
Can you attach the md5sums of your ISO's?
Comment 12 Konny Metz 2001-09-27 04:07:22 EDT
How do I get that?
Comment 13 Konny Metz 2001-09-27 04:09:36 EDT
I installed RedHat 6.1 Last night so there shouldn't be any wrong with my 
hardware.
Comment 14 Brent Fox 2001-09-27 15:01:01 EDT
You can check the md5sum of the ISOs in two different ways.  If you have the
ISOs on a Linux machine, you can run the 'md5sum' program on the file.  For
example, 'md5sum seawolf-i386-disc1.iso'.  After a long time calculating, the
answer will be displayed. 

If you have the ISOs on a Windows box, you can download MD5Sumer from
http://download.cnet.com/downloads/0-10096-100-5902737.html and run it to check
the md5sum.

Once you have the numbers, we can compare the numbers you got with the md5sum
values from the ISO's on the FTP site.  If the don't match exactly, then the
ISOs got corrupted during download.
Comment 15 Konny Metz 2001-09-27 16:57:11 EDT
ae0ab1f09fe327a28b4d978ca94771df *seawolf-i386-disc1.iso
f27b912299572a542cd663b712444445 *seawolf-i386-disc2.iso

Used MD5Sums on a Windows based machine
Comment 16 Brent Fox 2001-09-28 10:42:43 EDT
Ok, here's the contents of the MD5SUM file from
ftp://ftp.redhat.com/pub/redhat/linux/7.1/en/iso/i386/MD5SUM :

596b1575773e88e066326f6741312a6f  seawolf-i386-disc1.iso
f27b912299572a542cd663b712444445  seawolf-i386-disc2.iso

As you can see, the numbers for disc1 are different from the numbers that you
got.  So the corruption was with disc1 instead of disc2 after all.  Disc2 is
fine.  What you should do is redownload the disc1 ISO and then verify the md5sum
of it before you burn a cd.  Give that a try, and if that doesn't fix the
problem, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.